summaryrefslogtreecommitdiffstats
path: root/contrib/rankmirrors.sh.in
diff options
context:
space:
mode:
Diffstat (limited to 'contrib/rankmirrors.sh.in')
-rw-r--r--contrib/rankmirrors.sh.in41
1 files changed, 29 insertions, 12 deletions
diff --git a/contrib/rankmirrors.sh.in b/contrib/rankmirrors.sh.in
index 0c4c7345..453ebfbe 100644
--- a/contrib/rankmirrors.sh.in
+++ b/contrib/rankmirrors.sh.in
@@ -130,8 +130,15 @@ while [[ $1 ]]; do
version) version ;;
times) TIMESONLY=1 ; shift ;;
verbose) VERBOSE=1 ; shift ;;
- url) CHECKURL=1; [[ $2 ]] || err "Must specify url."; URL="$2"; shift 2;;
- repo) [[ $2 ]] || err "Must specify repo name."; TARGETREPO="$2"; shift 2;;
+ url)
+ CHECKURL=1;
+ [[ $2 ]] || err "Must specify URL.";
+ URL="$2";
+ shift 2;;
+ repo)
+ [[ $2 ]] || err "Must specify repository name.";
+ TARGETREPO="$2";
+ shift 2;;
*) err "'$1' is an invalid argument."
esac
elif [[ ${1:0:1} = - ]]; then
@@ -148,9 +155,19 @@ while [[ $1 ]]; do
h) usage ;;
t) TIMESONLY=1 ;;
v) VERBOSE=1 ;;
- u) CHECKURL=1; [[ $2 ]] || err "Must specify url."; URL="$2"; snum=2;;
- r) [[ $2 ]] || err "Must specify repo name."; TARGETREPO="$2"; snum=2;;
- n) [[ $2 ]] || err "Must specify number." ; NUM="$2" ; snum=2;;
+ u)
+ CHECKURL=1;
+ [[ $2 ]] || err "Must specify URL.";
+ URL="$2";
+ snum=2;;
+ r)
+ [[ $2 ]] || err "Must specify repository name.";
+ TARGETREPO="$2";
+ snum=2;;
+ n)
+ [[ $2 ]] || err "Must specify number.";
+ NUM="$2";
+ snum=2;;
*) err "'$1' is an invalid argument." ;;
esac
done
@@ -168,22 +185,22 @@ done
# Some sanity checks
[[ $NUM ]] || NUM=0
-[[ $FILE && $CHECKURL ]] && err "Cannot specify a url and mirrorfile."
-[[ $FILE || $CHECKURL || $STDIN ]] || err "Must specify url, mirrorfile, or stdin."
+[[ $FILE && $CHECKURL ]] && err "Cannot specify a URL and mirrorfile."
+[[ $FILE || $CHECKURL || $STDIN ]] || err "Must specify URL, mirrorfile, or stdin."
-# Single url handling
+# Single URL handling
if [[ $CHECKURL ]]; then
url="$(getfetchurl "$URL")"
- [[ $url = fail ]] && err "url '$URL' is malformed."
+ [[ $url = fail ]] && err "URL '$URL' is malformed."
[[ $VERBOSE ]] && echo "Testing $url..."
time=$(gettime "$url")
echo "$URL : $time"
exit 0
fi
-# Get url results from mirrorfile, fill up the array, and so on
+# Get URL results from mirrorfile, fill up the array, and so on
if [[ $TIMESONLY ]]; then
- echo "Querying servers, this may take some time..."
+ echo "Querying servers. This may take some time..."
elif [[ $FILE ]]; then
echo "# Server list generated by rankmirrors on $(date +%Y-%m-%d)"
fi
@@ -198,7 +215,7 @@ for line in "${linearray[@]}"; do
server="${line#*= }"
server="${server%%#*}"
url="$(getfetchurl "$server")"
- [[ $url = fail ]] && err "url '$URL' is malformed."
+ [[ $url = fail ]] && err "URL '$URL' is malformed."
time=$(gettime "$url")
timesarray+=("$time $server")